#### PyKDE - Python Bindings for KDE

# class KGlobal |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | KGlobal
Inherits |

### methods

- activeInstance ()

  returns (KInstance)
  static

- charsets ()

  returns (KCharsets)
  static

- config ()

  returns (KConfig)
  static

- deleteStaticDeleters ()

  returns nothing
  static

- dirs ()

  returns (KStandardDirs)
  static

- iconLoader ()

  returns (KIconLoader)
  static

- instance ()

  returns (KInstance)
  static

- locale ()

  returns (KLocale)
  static

- registerStaticDeleter (d)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  d | KStaticDeleterBase |

- setActiveInstance (d)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  d | KInstance |

- sharedConfig ()

  returns (KSharedConfig)
  In versions KDE 3.2.0 and above only
  static

- staticQString (str)

  returns (QString)
  static
  Argument | Type | Default
  --- | --- | ---
  str | char |

- staticQString (str)

  returns (QString)
  static
  Argument | Type | Default
  --- | --- | ---
  str | QString |

- unregisterStaticDeleter (d)

  returns nothing
  static
  Argument | Type | Default
  --- | --- | ---
  d | KStaticDeleterBase |

### variables

- variables

  Variable | Type
  --- | ---
  _activeInstance | KInstance*
  _charsets | KCharsets*
  _instance | KInstance*
  _locale | KLocale*
  _staticDeleters | KStaticDeleterList*
  _stringDict | KStringDict*